
import greenfoot.*;
/**
 * Die Spielfigur der Blumentwelt.
 * 
 * @author (Peter Brichzin) 
 * @version (Version 1.0)
 */
class Florian extends Figur
{

    /**
     * Legt die Form und die Startposition fest.
     */
    Florian()
    {
        super();
        FigurteilFestlegenRechteck(-20, -15, 40, 60, "orange");
        FigurteilFestlegenEllipse(-10, -50, 20, 30, "orange");
        FigurteilFestlegenDreieck(0, 0, 0, 30, 18, 15, "gelb");
        PositionSetzen(75, 125);
        GanzNachVornBringen();
    }
    
    /**
     * Achtet auf die korrekte Positionierung
     * @param world die Welt, in der das Objekt angelegt wird.
    */ 
    @Override protected void addedToWorld​(World world)
    {
        super.addedToWorld​(world);
        PositionSetzen((XPositionGeben()/50)*50+25,(YPositionGeben()/50)*50+25);
    }

    /**
     * Lässt Florian eine Zelle nach Osten gehen.
     */
    void NachOstenGehen()
    {
        PositionSetzen(this.XPositionGeben()+50, this.YPositionGeben());
    }
    
    /**
     * Florian geht einen Schritt nach Süden.
     * Ist Florian am Rand der Welt, bewegt er sich nicht weiter.
     */
    void NachSüdenGehen()
    {
        if(YPositionGeben()<450)
        {
            PositionSetzen(XPositionGeben(), YPositionGeben()+50);
        }
        else
        {
            System.out.println("Autsch!");
        }
    }

    /**
     * Dreht sich um 90 Grad nach links
     * Tipp: Teste vorab (an einem Objekt der Klasse Florian) 
     * die Methoden Drehen, WinkelGeben, WinkelSetzen der Oberklasse
     */
    void LinksDrehen()
    {
        if(WinkelGeben()==0)
        {
            WinkelSetzen(90);
        }
        else 
        {
            if(WinkelGeben()==90)
            {
                WinkelSetzen(180);
            }
            else
            {
                if(WinkelGeben()==180)
                {
                    WinkelSetzen(270);
                }
                else 
                {
                    if(WinkelGeben()==270)
                    {
                        WinkelSetzen(0);
                    }
                }
            }
        }
    }
}
