
/**
 * Stellt eine Taschenlampe dar
 * 
 * @author Albert Wiedemann 
 * @version 1.0
 */
public class Taschenlampe extends GrafikWelt
{
    /** Lampe */
    Dreieck lampe;
    /** Zustand */
    String zustand;
    
    /**
     * Legt die benötigten Objekte an und richtet sie ein.
     */
    public Taschenlampe ()
    {
        Rechteck hintergrund = new Rechteck();
        addObject(hintergrund, 0, 0);
        hintergrund.GrößeSetzen(790, 590);
        hintergrund.PositionSetzen(0, 0);
        hintergrund.FarbeSetzen("weiß");

        lampe = new Dreieck();
        addObject(lampe, 0, 0);
        lampe.GrößeSetzen(200, 200);
        lampe.PositionSetzen(100, 200);
        lampe.Drehen(-90);
        lampe.FarbeSetzen("weiß");

        Rechteck schirmVorne = new Rechteck();
        addObject(schirmVorne, 0, 0);
        schirmVorne.GrößeSetzen(50, 200);
        schirmVorne.PositionSetzen(100, 200);
        schirmVorne.FarbeSetzen("grau");

        Dreieck schirmHinten = new Dreieck();
        addObject(schirmHinten, 0, 0);
        schirmHinten.GrößeSetzen(200, 200);
        schirmHinten.PositionSetzen(250, 200);
        schirmHinten.Drehen(-90);
        schirmHinten.FarbeSetzen("grau");
        
        Rechteck korpus = new Rechteck();
        addObject(korpus, 0, 0);
        korpus.GrößeSetzen(300, 100);
        korpus.PositionSetzen(200, 250);
        korpus.FarbeSetzen("grau");
        
        Rechteck schalter = new Rechteck();
        addObject(schalter, 0, 0);
        schalter.GrößeSetzen(75, 25);
        schalter.PositionSetzen(300, 225);
        schalter.FarbeSetzen("schwarz");
        
        zustand = "aus";
    }
    
    /**
     * Schaltet die Taschenlampe aus
     */
    void Ausschalten()
    {
        lampe.FarbeSetzen("weiß");
        zustand = "aus";
    }
    
    /**
     * Schaltet die Taschenlampe ein
     */
    void Einschalten()
    {
        lampe.FarbeSetzen("gelb");
        zustand = "ein";
    }
    
    /**
     * Schaltet die Taschenlampe blinkend
     */
    void Blinken()
    {
        lampe.FarbeSetzen("orange");
        zustand = "blinkend";
    }
    
    /**
     * Schaltet die Taschenlampe gemäß der Vorgabe weiter
     */
    void SchalterDrücken()
    {
        
    }
}
